"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetSubscriptionAttributes_1 = require("../model/operations/SetSubscriptionAttributes");
var SetSubscriptionAttributesCommand = /** @class */ (function () {
    function SetSubscriptionAttributesCommand(input) {
        this.input = input;
        this.model = SetSubscriptionAttributes_1.SetSubscriptionAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetSubscriptionAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetSubscriptionAttributesCommand;
}());
exports.SetSubscriptionAttributesCommand = SetSubscriptionAttributesCommand;
//# sourceMappingURL=SetSubscriptionAttributesCommand.js.map