"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSMSAttributesInput_1 = require("../shapes/GetSMSAttributesInput");
var GetSMSAttributesOutput_1 = require("../shapes/GetSMSAttributesOutput");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSMSAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSMSAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetSMSAttributesInput_1.GetSMSAttributesInput
    },
    output: {
        shape: GetSMSAttributesOutput_1.GetSMSAttributesOutput,
        resultWrapper: "GetSMSAttributesResult"
    },
    errors: [
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=GetSMSAttributes.js.map