"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSubscriptionAttributesInput_1 = require("../shapes/GetSubscriptionAttributesInput");
var GetSubscriptionAttributesOutput_1 = require("../shapes/GetSubscriptionAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSubscriptionAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSubscriptionAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetSubscriptionAttributesInput_1.GetSubscriptionAttributesInput
    },
    output: {
        shape: GetSubscriptionAttributesOutput_1.GetSubscriptionAttributesOutput,
        resultWrapper: "GetSubscriptionAttributesResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=GetSubscriptionAttributes.js.map