import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>Indicates that a request parameter does not comply with the associated constraints.</p>
 */
export interface InvalidParameterValueException extends __ServiceException__<_InvalidParameterValueExceptionDetails> {
    name: "InvalidParameterValueException";
}
export interface _InvalidParameterValueExceptionDetails {
    /**
     * <p>The parameter value is invalid.</p>
     */
    message?: string;
}
