import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteEndpointInput } from "../types/DeleteEndpointInput";
import { DeleteEndpointOutput } from "../types/DeleteEndpointOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/DeleteEndpointInput";
export * from "../types/DeleteEndpointOutput";
export * from "../types/DeleteEndpointExceptionsUnion";
export declare class DeleteEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteEndpointInput, OutputTypesUnion, DeleteEndpointOutput, SNSResolvedConfiguration, Blob> {
    readonly input: DeleteEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteEndpointInput, DeleteEndpointOutput, Blob>;
    constructor(input: DeleteEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<DeleteEndpointInput, DeleteEndpointOutput>;
}
