import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetEndpointAttributesInput } from "../types/GetEndpointAttributesInput";
import { GetEndpointAttributesOutput } from "../types/GetEndpointAttributesOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/GetEndpointAttributesInput";
export * from "../types/GetEndpointAttributesOutput";
export * from "../types/GetEndpointAttributesExceptionsUnion";
export declare class GetEndpointAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetEndpointAttributesInput, OutputTypesUnion, GetEndpointAttributesOutput, SNSResolvedConfiguration, Blob> {
    readonly input: GetEndpointAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetEndpointAttributesInput, GetEndpointAttributesOutput, Blob>;
    constructor(input: GetEndpointAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<GetEndpointAttributesInput, GetEndpointAttributesOutput>;
}
