"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSMSAttributes_1 = require("../model/operations/GetSMSAttributes");
var GetSMSAttributesCommand = /** @class */ (function () {
    function GetSMSAttributesCommand(input) {
        this.input = input;
        this.model = GetSMSAttributes_1.GetSMSAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSMSAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSMSAttributesCommand;
}());
exports.GetSMSAttributesCommand = GetSMSAttributesCommand;
//# sourceMappingURL=GetSMSAttributesCommand.js.map