"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetPlatformApplicationAttributes_1 = require("../model/operations/SetPlatformApplicationAttributes");
var SetPlatformApplicationAttributesCommand = /** @class */ (function () {
    function SetPlatformApplicationAttributesCommand(input) {
        this.input = input;
        this.model = SetPlatformApplicationAttributes_1.SetPlatformApplicationAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetPlatformApplicationAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetPlatformApplicationAttributesCommand;
}());
exports.SetPlatformApplicationAttributesCommand = SetPlatformApplicationAttributesCommand;
//# sourceMappingURL=SetPlatformApplicationAttributesCommand.js.map