"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePlatformApplicationInput_1 = require("../shapes/CreatePlatformApplicationInput");
var CreatePlatformApplicationOutput_1 = require("../shapes/CreatePlatformApplicationOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePlatformApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePlatformApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreatePlatformApplicationInput_1.CreatePlatformApplicationInput
    },
    output: {
        shape: CreatePlatformApplicationOutput_1.CreatePlatformApplicationOutput,
        resultWrapper: "CreatePlatformApplicationResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=CreatePlatformApplication.js.map