"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePlatformApplicationInput_1 = require("../shapes/DeletePlatformApplicationInput");
var DeletePlatformApplicationOutput_1 = require("../shapes/DeletePlatformApplicationOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePlatformApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePlatformApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeletePlatformApplicationInput_1.DeletePlatformApplicationInput
    },
    output: {
        shape: DeletePlatformApplicationOutput_1.DeletePlatformApplicationOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=DeletePlatformApplication.js.map