"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTopicsInput_1 = require("../shapes/ListTopicsInput");
var ListTopicsOutput_1 = require("../shapes/ListTopicsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTopics = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTopics",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTopicsInput_1.ListTopicsInput
    },
    output: {
        shape: ListTopicsOutput_1.ListTopicsOutput,
        resultWrapper: "ListTopicsResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=ListTopics.js.map