"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetSubscriptionAttributesInput_1 = require("../shapes/SetSubscriptionAttributesInput");
var SetSubscriptionAttributesOutput_1 = require("../shapes/SetSubscriptionAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var FilterPolicyLimitExceededException_1 = require("../shapes/FilterPolicyLimitExceededException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetSubscriptionAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetSubscriptionAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetSubscriptionAttributesInput_1.SetSubscriptionAttributesInput
    },
    output: {
        shape: SetSubscriptionAttributesOutput_1.SetSubscriptionAttributesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: FilterPolicyLimitExceededException_1.FilterPolicyLimitExceededException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=SetSubscriptionAttributes.js.map